Package org.drinkless.tdlib

# Class TdApi.GiftChatThemes

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.GiftChatThemes

Enclosing class:
  `TdApi`

public static class TdApi.GiftChatThemes extends TdApi.Object
Contains a list of chat themes based on upgraded gifts.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `String`
  `nextOffset`
  The offset for the next request.
  `TdApi.GiftChatTheme[]`
  `themes`
  A list of chat themes.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GiftChatThemes()`
  Contains a list of chat themes based on upgraded gifts.
  `GiftChatThemes(TdApi.GiftChatTheme[] themes, String nextOffset)`
  Contains a list of chat themes based on upgraded gifts.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### themes

    public TdApi.GiftChatTheme[] themes
    A list of chat themes.

  - ### nextOffset

    public String nextOffset
    The offset for the next request. If empty, then there are no more results.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### GiftChatThemes

    public GiftChatThemes()
    Contains a list of chat themes based on upgraded gifts.

  - ### GiftChatThemes

    public GiftChatThemes(TdApi.GiftChatTheme[] themes, String nextOffset)
    Contains a list of chat themes based on upgraded gifts.
    Parameters:
      `themes` - A list of chat themes.
      `nextOffset` - The offset for the next request. If empty, then there are no more results.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR